#include <stdio.h>
#include <stdint.h>

int main (void)
{
  int width = 16;
  int height = 16;
  FILE *f = fopen ("test.pbm", "w");
  fprintf (f, "P4\n%d %d\n", width, height);

  uint16_t data = 1;
  for (int i = 0; i < 16; i++)
    {
      uint8_t right_half = data & 0x00ff;
      uint8_t left_half = (data & 0xff00) >> 8;
      fprintf (f, "%c%c", left_half, right_half);
      data <<= 1;
    }

  return 0;
}
