#include <stdio.h>
#include <stdint.h>

uint8_t repair (uint8_t data)
{
  uint8_t result = 0;
  uint8_t mask_data = 0x01;
  uint8_t mask_result = 0x80;
  while (mask_data)
    {
      if (data & mask_data)
        result |= mask_result;
      mask_data <<= 1;
      mask_result >>= 1;
    }
  return result;
}

int main (void)
{
  int data[] = { 122, 244, 120, 24, 168, -1 };
  int i = 0;
  while (data[i] >= 0)
    printf ("%d\n", repair (data[i++]));
  return 0;
}
