#include <stdio.h>

void foreach (int *a, void (*fun) (int x))
{
  for (int *p = a; *p >= 0; p++)
    fun (*p);
}

void even_or_odd (int x)
{
  if (x % 2)
    printf ("%d ist ungerade.\n", x);
  else
    printf ("%d ist gerade.\n", x);
}

int main (void)
{
  int numbers[] = { 12, 17, 32, 1, 3, 16, 19, 18, -1 };
  foreach (numbers, even_or_odd);
  return 0;
}
